View Issue Details

IDProjectCategoryView StatusLast Update
0020748LazarusLCLpublic2012-03-30 14:02
ReporterAnton S. Assigned ToZeljan Rikalo  
PrioritynormalSeveritymajorReproducibilityalways
Status assignedResolutionreopened 
PlatformMacOSOS X 
Product Version0.9.31 (SVN) 
Summary0020748: Start drag from not focused form is not going well
DescriptionIf i have a focus on second form and thenstart drag from first one, if i release mouse on second form the drag operation will not end (furthermore, second form neither receive a drag over message)
TagsNo tags attached.
Fixed in Revision36090
LazTarget-
WidgetsetCarbon
Attached Files

Activities

2011-11-25 13:05

 

DragTest.zip (10,767 bytes)

Zeljan Rikalo

2012-03-16 14:31

developer   ~0057727

I've commented code which is added in 34345, as you mentioned in notes on 0019680 issue, please test and close if ok.

Anton S.

2012-03-30 14:02

reporter   ~0058188

the 19680 issue is now fixed on trunk, but this one is still there, try example project, here is more detailed step by step:
1. click on right form to make it focused (active)
2. click and hold on P_Panel of left form, start drag and release mouse on anything that is not the left form
3. the EndDrag will not be fired
or
2. click and hold on P_Panel of left form, start drag and release mouse on right form (note that while dragging there is no log printing)
3. the EndDrag will not be fired

Issue History

Date Modified Username Field Change
2011-11-25 13:05 Anton S. New Issue
2011-11-25 13:05 Anton S. File Added: DragTest.zip
2011-11-25 13:05 Anton S. Widgetset => Carbon
2012-03-13 10:22 Vincent Snijders LazTarget => -
2012-03-13 10:22 Vincent Snijders Status new => acknowledged
2012-03-16 14:31 Zeljan Rikalo Fixed in Revision => 36090
2012-03-16 14:31 Zeljan Rikalo Status acknowledged => resolved
2012-03-16 14:31 Zeljan Rikalo Resolution open => fixed
2012-03-16 14:31 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-03-16 14:31 Zeljan Rikalo Note Added: 0057727
2012-03-30 14:02 Anton S. Status resolved => assigned
2012-03-30 14:02 Anton S. Resolution fixed => reopened
2012-03-30 14:02 Anton S. Note Added: 0058188